Commits

stretchedthin  committed 205c387

gedit supertux2 mjpegtools

  • Participants
  • Parent commits 2b45e94

Comments (0)

Files changed (17)

File var/vabs/audacity/src/audacity.SlackBuild

 #!/usr/bin/bash
 # This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
 # and slack-required will be found in "VERSION" dir. The extraction and
 # build will be in a temp dir created in "NAME" dir, and then removed on exit.
 # Comment out second to last line to keep this dir intact.
 # Linux forum at http://forum.vectorlinux.com and from tidbits collected 
 # from all over the internet. 
 #
-# Generated by sbbuilder-0.4.12.2, written by Rodrigo Bistolfi 
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
 # (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
 #
 # Please put your name below if you add some original scripting lines.
 # AUTHORS = 
 
 NAME="audacity"            #Enter package Name!
-VERSION=${VERSION:-"2.0.0"}      #Enter package Version!
+VERSION=${VERSION:-"2.0.2"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
 VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
-LINK=${LINK:-"http://audacity.googlecode.com/files/${NAME}-minsrc-${VERSION}.tar.bz2"}  #Enter URL for package here!
+LINK=${LINK:-"http://$NAME.googlecode.com/files/$NAME-minsrc-$VERSION.tar.bz2"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 ARCH=${ARCH:-"$(uname -m)"}
 CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
-ADDRB=${ADDRB:-"portaudio >= 20071002-i586-1vl70, swh-plugins >= 0.4.15-i586-1vl70, ladspa >= 1.13-i586-1vl70, wxGTK >= 2.8.11-i586-1vl70, libsndfile >= 1.0.21-i586-1vl70,  "} #Add deps that need to be added to the slack-required file here
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-MAKEDEPENDS=${MAKEDEPENDS:-"wxWidgets"}
+MAKEDEPENDS=${MAKEDEPENDS:-"wxPython soundtouch libsndfile"} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
-if [ "$NORUN" != 1 ]; then
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
 #SETUP PACKAGING ENVIRONMENT
 #--------------------------------------------
 CWD=$(pwd)
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-vector-linux"
+  LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
   CONFIGURE_TRIPLET="x86_64-vlocity-linux"
+  LIBDIRSUFFIX="64"
 elif [ "$ARCH" = "powerpc" ]; then
   SLKCFLAGS="-O2"
   CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+  LIBDIRSUFFIX=""
 fi
 
 export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
 for SRC in $(echo $LINK);do
 if [ ! -f $CWD/$(basename $SRC) ]
 then
-        wget -c $SRC
+        wget --no-check-certificate -c $SRC
 fi
 done
 #--------------------------------------------
 
 
 rm -rf $PKG
-mkdir -p $PKG
 cd $TMP
 rm -rf $NAME-$VERSION
 
 #-----------------------------------------------------
 echo "Extracting source..."
 tar xvf $CWD/$NAME-minsrc-$VERSION.tar.* || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+mv * $NAME-$VERSION &> /dev/null 2>&1
+mkdir -p $PKG
 #-----------------------------------------------------
 
 
-cd $TMP/$NAME-src-$VERSION
+cd $TMP/$NAME-$VERSION
+
 
-# Put any Patches here
+#PATCHES
 #-----------------------------------------------------
-#patch -p1 <
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
 #-----------------------------------------------------
-
+for i in $CWD/patches/*;do
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
+done
+#-----------------------------------------------------
+ 
+ 
 
 #SET PERMISSIONS
 #-----------------------------------------
 find . -perm 555 -exec chmod 755 {} \;
 #-----------------------------------------
 
-
+# Fix vamp plugin search path on x86_64 - thanks to B. Watson
+sed -i "s,lib/vamp,lib$LIBDIRSUFFIX/vamp,g" \
+       lib-src/libvamp/src/vamp-hostsdk/PluginHostAdapter.cpp
 
 #CONFIGURE & MAKE
 #----------------------------------------------------------------------
 #-----------------------------------------------------------------------
 
 echo "Configuring source..."
-./configure --prefix=/usr \
+./configure \
+  --prefix=/usr \
   --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --mandir=/usr/man \
-  --docdir=/usr/doc/$PRGNAM-$VERSION \
-  --localstatedir=/var \
-  --sysconfdir=/etc \
-  --with-ffmpeg \
-  --program-prefix= \
-  --program-suffix= \
-  --build=$CONFIGURE_TRIPLET \
-  $CONFIG_OPTIONS || exit 1
+  --enable-unicode \
+  --enable-nyquist \
+  --enable-vamp \
+  --with-expat \
+  --with-libvorbis \
+  --with-libmad \
+  --with-libflac \
+  --with-libsndfile \
+  --with-libid3tag \
+  --with-libresample \
+  --without-ffmpeg \
+  --with-soundtouch \
+  --with-libtwolame
+ 
 
 make || exit 1
 
-make install DESTDIR=$PKG || exit
+make install DESTDIR=$PKG || exit 1
 
 
 #######################################################################
 #Miscellenious tweaks and things outside a normal ./configure go here #
 #######################################################################
-
-
-# Menu entry - http://standards.freedesktop.org/desktop-entry-spec/latest/
-
 if test -f $CWD/$NAME.png; then
-  mkdir -p $PKG/usr/share/pixmaps
-  cp $CWD/$NAME.png $PKG/usr/share/pixmaps/$NAME.png
-fi
-
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$NAME.png $PKG/usr/share/pixmaps/$NAME.png; fi
+## Now test for desktop file
 mkdir -p $PKG/usr/share/applications
 if test -f $CWD/${NAME}.desktop; then
-  cp $CWD/$NAME.desktop $PKG/usr/share/applications/$NAME.desktop
-else
-cat > $PKG/usr/share/applications/$NAME.desktop << EOF
-[Desktop Entry]
-# Please edit as needed
-Name=$NAME
-GenericName=
-Comment=
-Exec=$NAME
-Icon=$NAME.png
-
-# AudioVideo, Development, Education, Game, Graphics, Network
-# Office, Settings, System, Utility
-Categories=
-		
-Type=Application
-Terminal=false
-Encoding=UTF-8
-
-#TryExec=
-#Path=
-#StartupWMClass=
-#NoDisplay=
-#StartupNotify=
-#MimeType=
-#OnlyShowIn=
-#NotShowIn=
-
-#Localization example
-#Name[es]=
-#Comment[es]=
-EOF
+cp $CWD/$NAME.desktop $PKG/usr/share/applications/$NAME.desktop
 fi
 
 
+
 mkdir -p $PKG/usr/doc/$NAME-$VERSION
 cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
 $PKG/usr/doc/$NAME-$VERSION
 
 #----------------------------------------------------------------------
 
-if [ -d $PKG/usr/share/man ] ; then
+if [ -d $PKG/usr/share/man ];then
 mkdir -p $PKG/usr/man
 mv $PKG/usr/share/man/* $PKG/usr/man
 rm -rf $PKG/usr/share/man
 fi
 find $PKG/usr/man -type f -exec gzip -9 {} \;
 
-if [ -d $PKG/usr/share/info ] ; then
+if [ -d $PKG/usr/share/info ];then
 mkdir -p $PKG/usr/info
 mv $PKG/usr/share/info/* $PKG/usr/info
 rm -rf $PKG/usr/share/info
 fi 
-
 find $PKG/usr/info -type f -exec gzip -9 {} \;
+
 mkdir -p $PKG/install
-if [ -d $PKG/usr/info ] ; then
+if [ -d $PKG/usr/info ];then
 cat >> $PKG/install/doinst.sh << EOF
+CWD=\$(pwd)
 cd usr/info
-if [ -f dir ]; then
+if [ -f dir ];then
     rm dir
 fi
-if [ -f dir.gz ]; then
+if [ -f dir.gz ];then
     rm dir.gz
 fi
-for i in *.info.gz
-        do
-        install-info $i dir
-    done
+for i in *.info.gz;do
+    install-info \$i dir
+done
+cd \$CWD
 EOF
 fi
 
-mkdir -p $PKG/install
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
+cat $CWD/doinst.sh >> $PKG/install/doinst.sh
 
 
 #if there is a slack-desc in src dir use it
 # customary to leave one space after the ':'.
 
 $SHIM|-----handy-ruler------------------------------------------------------|
-$NAME: audacity (open source software for recording and editing sounds.)
+$NAME: $NAME ()
 $NAME:
-$NAME: Audacity manipulates digital audio waveforms. In addition to letting
-$NAME: you record sounds directly from within the program, it imports many
-$NAME: sound file formats. It supports all common editing operations such as
-$NAME: Cut, Copy, and Paste, plus it will mix tracks and let you apply
-$NAME: plug-in effects to any part of a sound. It also has a built-in
-$NAME: amplitude envelope editor, spectrogram mode and a frequency analysis
-$NAME: window for audio analysis applications.
-$NAME: audacity home: http://audacity.sourceforge.net/
-
+$NAME: 
+$NAME: 
+$NAME: 
+$NAME: 
+$NAME:
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: 
+$NAME: Website: 
 
 EOF
 fi
 DISTRO:    $(cat /etc/vector-version)
 CFLAGS:    $CFLAGS
 LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
 
 EOF
 
 cd $CWD
 echo "Cleaning up temp files..." && rm -rf $TMP
 echo "Package Complete"
-#--------------------------------------------------------------
 fi
+#--------------------------------------------------------------
+
 # vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/automake/src/automake.SlackBuild

-#!/bin/bash
+#!/usr/bin/bash
 # This script assumes it will be launched within "/NAME/VERSION/src" dir.
 # With all sources in "src" Your Vector Linux .txz package, slack-desc,
 # and slack-required will be found in "VERSION" dir. The extraction and
 # Linux forum at http://forum.vectorlinux.com and from tidbits collected 
 # from all over the internet. 
 #
-# Generated by sbbuilder-0.4.13, written by Rodrigo Bistolfi 
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
 # (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
 #
 # Please put your name below if you add some original scripting lines.
 # AUTHORS = 
 
 NAME="automake"            #Enter package Name!
-VERSION=${VERSION:-"1.12.1"}      #Enter package Version!
+VERSION=${VERSION:-"1.11.5"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"vector"}   #Enter your Name!
-LINK=${LINK:-"ftp://ftp.gnu.org/gnu/$NAME/$NAME-$VERSION.tar.gz"}  #Enter URL for package here!
+VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
+LINK=${LINK:-"http://slackbuilds.org/mirror/slackware/slackware-14.0/source/d/$NAME/$NAME-$VERSION.tar.xz"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
-if [ "$NORUN" != 1 ]; then
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
 #SETUP PACKAGING ENVIRONMENT
 #--------------------------------------------
 CWD=$(pwd)
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-vector-linux"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
 
 make install DESTDIR=$PKG || exit 1
 
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+# Change hard links to symlinks:
+SHORTNAME=$(echo $VERSION | cut -f1,2 -d .)
+( cd $PKG/usr/bin
+  rm -f aclocal
+  ln -sf aclocal-$SHORTNAME aclocal
+  rm -rf automake
+  ln -sf automake-$SHORTNAME automake
+)
+#linkup;
 
+# Create local aclocal dir:
+mkdir -p $PKG/usr/share/aclocal
+touch $PKG/usr/share/aclocal
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+  ln -s $( readlink $i ).gz $i.gz
+  rm $i
+done
 #######################################################################
 #Miscellenious tweaks and things outside a normal ./configure go here #
 #######################################################################
 DISTRO:    $(cat /etc/vector-version)
 CFLAGS:    $CFLAGS
 LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
 
 EOF
 
 echo "Finding dependencies..."
 ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
 echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
-makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-noarch-$BUILD.txz
+makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
 
 cd $CWD
 echo "Cleaning up temp files..." && rm -rf $TMP
 echo "Package Complete"
-#--------------------------------------------------------------
 fi
+#--------------------------------------------------------------
+
 # vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/comix/src/comix.SlackBuild

 #!/usr/bin/bash
 # This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
 # and slack-required will be found in "VERSION" dir. The extraction and
 # build will be in a temp dir created in "NAME" dir, and then removed on exit.
 # Comment out second to last line to keep this dir intact.
 # Linux forum at http://forum.vectorlinux.com and from tidbits collected 
 # from all over the internet. 
 #
-# Generated by sbbuilder-0.4.12.3, written by Rodrigo Bistolfi 
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
 # (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
 #
 # Please put your name below if you add some original scripting lines.
 NAME="comix"            #Enter package Name!
 VERSION=${VERSION:-"4.0.4"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
-LINK=${LINK:-""}  #Enter URL for package here!
+VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
+LINK=${LINK:-"http://downloads.sourceforge.net/$NAME/$NAME-$VERSION.tar.gz"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
 
 #SETUP PACKAGING ENVIRONMENT
 #--------------------------------------------
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-vector-linux"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
 for SRC in $(echo $LINK);do
 if [ ! -f $CWD/$(basename $SRC) ]
 then
-        wget -c $SRC
+        wget --no-check-certificate -c $SRC
 fi
 done
 #--------------------------------------------
 
 
 rm -rf $PKG
-mkdir -p $PKG
 cd $TMP
 rm -rf $NAME-$VERSION
 
 #-----------------------------------------------------
 echo "Extracting source..."
 tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+mv * $NAME-$VERSION &> /dev/null 2>&1
+mkdir -p $PKG
 #-----------------------------------------------------
 
 
 cd $TMP/$NAME-$VERSION
 
-# Put any Patches into a patches folder in the src dir
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
 #-----------------------------------------------------
 for i in $CWD/patches/*;do
-	patch -p1 <$i
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
 done
 #-----------------------------------------------------
-
+ 
+ 
 
 #SET PERMISSIONS
 #-----------------------------------------
 #-----------------------------------------------------------------------
 
 echo "Configuring source..."
-#./configure --prefix=/usr \
-#  --libdir=/usr/lib${LIBDIRSUFFIX} \
-#  --infodir=/usr/info \
-#  --sysconfdir=/etc \
-#  --localstatedir=/var \
-#  --mandir=/usr/man \
-#  --with-included-gettext \
-#  --disable-debug \
-#  --program-prefix="" \
-#  --program-suffix="" \
-#  --build=$CONFIGURE_TRIPLET \
-#  $CONFIG_OPTIONS || exit 1
-
-#make || exit 1
-
-#make install DESTDIR=$PKG || exit
-
 mkdir -p $PKG/usr
 python install.py install --dir=$PKG/usr --no-mime
 
+mv $PKG/usr/share/man $PKG/usr
+
+
+
 #######################################################################
 #Miscellenious tweaks and things outside a normal ./configure go here #
 #######################################################################
+if test -f $CWD/$NAME.png; then
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$NAME.png $PKG/usr/share/pixmaps/$NAME.png; fi
+## Now test for desktop file
+mkdir -p $PKG/usr/share/applications
+if test -f $CWD/${NAME}.desktop; then
+cp $CWD/$NAME.desktop $PKG/usr/share/applications/$NAME.desktop
+fi
+
 
 
 mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a ANNOUNCE* AUTHORS* BUGS* COPYING* ChangeLog* CHANGELOG* Credits* DEVELOPERS \
-LICENSE* MANIFEST PROVENANCE README* TODO* Exception_to_GPL_for_Qt.txt \
+cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
 $PKG/usr/doc/$NAME-$VERSION
 cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
 
 #----------------------------------------------------------------------
 
-if [ -d $PKG/usr/share/man ] ; then
+if [ -d $PKG/usr/share/man ];then
 mkdir -p $PKG/usr/man
 mv $PKG/usr/share/man/* $PKG/usr/man
 rm -rf $PKG/usr/share/man
 fi
 find $PKG/usr/man -type f -exec gzip -9 {} \;
 
-if [ -d $PKG/usr/share/info ] ; then
+if [ -d $PKG/usr/share/info ];then
 mkdir -p $PKG/usr/info
 mv $PKG/usr/share/info/* $PKG/usr/info
 rm -rf $PKG/usr/share/info
 fi 
-
 find $PKG/usr/info -type f -exec gzip -9 {} \;
+
 mkdir -p $PKG/install
-if [ -d $PKG/usr/info ] ; then
+if [ -d $PKG/usr/info ];then
 cat >> $PKG/install/doinst.sh << EOF
 CWD=\$(pwd)
 cd usr/info
     rm dir.gz
 fi
 for i in *.info.gz;do
-        install-info \$i dir
+    install-info \$i dir
 done
 cd \$CWD
 EOF
 fi
 
-mkdir -p $PKG/install
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
+cat $CWD/doinst.sh >> $PKG/install/doinst.sh
 
 
 #if there is a slack-desc in src dir use it
 # customary to leave one space after the ':'.
 
 $SHIM|-----handy-ruler------------------------------------------------------|
-$NAME: $NAME (image viewer that supports viewing images in archives)
+$NAME: $NAME ()
 $NAME:
-$NAME: It is specifically designed to handle comic books,  
-$NAME: but also serves as a generic viewer.It reads images in ZIP, RAR 
-$NAME: or tar archives (also gzip or bzip2 compressed) as well as 
-$NAME: plain image files.
+$NAME: 
+$NAME: 
+$NAME: 
+$NAME: 
 $NAME:
-$NAME: License: GPLv2
-$NAME: Authors: Pontus Ekberg < herrekberg@users.sourceforge.net >
-$NAME: Website: http://comix.sourceforge.net/
-
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: 
+$NAME: Website: 
 
 EOF
 fi
 DISTRO:    $(cat /etc/vector-version)
 CFLAGS:    $CFLAGS
 LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
 
 EOF
 
 cd $CWD
 echo "Cleaning up temp files..." && rm -rf $TMP
 echo "Package Complete"
+fi
 #--------------------------------------------------------------
 
 # vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/gedit/src/doinst.sh

+if [ -x /usr/bin/update-desktop-database ]; then
+  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+  if [ -x /usr/bin/gtk-update-icon-cache ]; then
+    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+  fi
+fi
+
+schema_install() {
+  SCHEMA="$1"
+  GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+  chroot . gconftool-2 --makefile-install-rule \
+    /etc/gconf/schemas/$SCHEMA \
+    1>/dev/null
+}
+
+schema_install gedit.schemas
+schema_install gedit-file-browser.schemas

File var/vabs/gedit/src/gedit.SlackBuild

 #!/usr/bin/bash
 # This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
 # and slack-required will be found in "VERSION" dir. The extraction and
 # build will be in a temp dir created in "NAME" dir, and then removed on exit.
 # Comment out second to last line to keep this dir intact.
 # Linux forum at http://forum.vectorlinux.com and from tidbits collected 
 # from all over the internet. 
 #
-# Generated by sbbuilder-0.4.12.3, written by Rodrigo Bistolfi 
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
 # (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
 #
 # Please put your name below if you add some original scripting lines.
 NAME="gedit"            #Enter package Name!
 VERSION=${VERSION:-"2.30.4"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
-LINK=${LINK:-"http://ftp.acc.umu.se/pub/GNOME/sources/gedit/2.30/$NAME-$VERSION.tar.bz2"}  #Enter URL for package here!
+VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
+LINK=${LINK:-"ftp://ftp.gnome.org/pub/gnome/sources/$NAME/2.30/$NAME-$VERSION.tar.bz2"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 #----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"1"}
+BUILDNUM=${BUILDNUM:-"2"}
 VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
 BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
 ARCH=${ARCH:-"$(uname -m)"}
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-MAKEDEPENDS=${MAKEDEPENDS:-"enchant iso-codes GConf gtksourceview"} #Add deps needed TO BUILD this package here.
+MAKEDEPENDS=${MAKEDEPENDS:-"pygtksourceview2"} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
 
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
 #SETUP PACKAGING ENVIRONMENT
 #--------------------------------------------
 CWD=$(pwd)
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-vector-linux"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
 for SRC in $(echo $LINK);do
 if [ ! -f $CWD/$(basename $SRC) ]
 then
-        wget -c $SRC
+        wget --no-check-certificate -c $SRC
 fi
 done
 #--------------------------------------------
 
 
 rm -rf $PKG
-mkdir -p $PKG
 cd $TMP
 rm -rf $NAME-$VERSION
 
 #-----------------------------------------------------
 echo "Extracting source..."
 tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+mv * $NAME-$VERSION &> /dev/null 2>&1
+mkdir -p $PKG
 #-----------------------------------------------------
 
 
 cd $TMP/$NAME-$VERSION
 
-# Put any Patches into a patches folder in the src dir
+
+#PATCHES
 #-----------------------------------------------------
-#for i in $CWD/patches/*;do
-#	patch -p1 <$i
-#done
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
 #-----------------------------------------------------
-
+for i in $CWD/patches/*;do
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
+done
+#-----------------------------------------------------
+ 
+ 
 
 #SET PERMISSIONS
 #-----------------------------------------
   --sysconfdir=/etc \
   --localstatedir=/var \
   --mandir=/usr/man \
-  --disable-scrollkeeper \
-  --disable-schemas-install \
+  --with-included-gettext \
+  --disable-debug \
+    --disable-scrollkeeper \
   --program-prefix="" \
   --program-suffix="" \
   --build=$CONFIGURE_TRIPLET \
 
 make || exit 1
 
-make install DESTDIR=$PKG || exit
+make install DESTDIR=$PKG || exit 1
 
 
 #######################################################################
 #Miscellenious tweaks and things outside a normal ./configure go here #
 #######################################################################
+if test -f $CWD/$NAME.png; then
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$NAME.png $PKG/usr/share/pixmaps/$NAME.png; fi
+## Now test for desktop file
+mkdir -p $PKG/usr/share/applications
+if test -f $CWD/${NAME}.desktop; then
+cp $CWD/$NAME.desktop $PKG/usr/share/applications/$NAME.desktop
+fi
+
 
 
 mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a ANNOUNCE* AUTHORS* BUGS* COPYING* ChangeLog* CHANGELOG* Credits* DEVELOPERS \
-LICENSE* MANIFEST PROVENANCE README* TODO* Exception_to_GPL_for_Qt.txt \
+cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
 $PKG/usr/doc/$NAME-$VERSION
 cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
 
 #----------------------------------------------------------------------
 
-if [ -d $PKG/usr/share/man ] ; then
+if [ -d $PKG/usr/share/man ];then
 mkdir -p $PKG/usr/man
 mv $PKG/usr/share/man/* $PKG/usr/man
 rm -rf $PKG/usr/share/man
 fi
 find $PKG/usr/man -type f -exec gzip -9 {} \;
 
-if [ -d $PKG/usr/share/info ] ; then
+if [ -d $PKG/usr/share/info ];then
 mkdir -p $PKG/usr/info
 mv $PKG/usr/share/info/* $PKG/usr/info
 rm -rf $PKG/usr/share/info
 fi 
-
 find $PKG/usr/info -type f -exec gzip -9 {} \;
+
 mkdir -p $PKG/install
-if [ -d $PKG/usr/info ] ; then
+if [ -d $PKG/usr/info ];then
 cat >> $PKG/install/doinst.sh << EOF
 CWD=\$(pwd)
 cd usr/info
     rm dir.gz
 fi
 for i in *.info.gz;do
-        install-info \$i dir
+    install-info \$i dir
 done
 cd \$CWD
 EOF
 fi
 
 # Add schemas install to the doinst.sh if schemas are found.
-[ -d $PKG/etc/gconf/schemas ] && {
+if [ -d $PKG/etc/gconf/schemas ];then
 # Make sure we have gconftool installed
 echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
 ( cd $PKG/etc/gconf/schemas
 )
 # Finish off gconf block
 echo "fi" >> $PKG/install/doinst.sh
-}
-
-mkdir -p $PKG/install
-cat >> $PKG/install/doinst.sh << EOF
-# update rarian database
-if [ -x usr/bin/rarian-sk-update ]; then
-  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
 fi
+cat $CWD/doinst.sh >> $PKG/install/doinst.sh
 
-# update mime database
-if [ -x usr/bin/update-mime-database ]; then
-  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
-fi
-
-# update desktop entries
-if [ -x usr/bin/update-desktop-database ]; then
-  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
-fi
-
-# update hicolor icons
-if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
-	rm -f usr/share/icons/hicolor/icon-theme.cache
-fi
-usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null
-
-if [ -x /usr/bin/glib-compile-schemas ]; then
-  /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas/ >/dev/null 2>&1
-fi
-
-# Restart gconfd-2 if running to reload new gconf settings
-if ps acx | grep -q gconfd-2 ; then
-        killall -HUP gconfd-2 ;
-fi
-
-# A good idea whenever kernel modules are added or changed:
-if [ -x sbin/depmod ]; then
-  /sbin/depmod -a 1> /dev/null 2> /dev/null
-fi
-EOF
 
 #if there is a slack-desc in src dir use it
 if test -f $CWD/slack-desc; then
 # customary to leave one space after the ':'.
 
 $SHIM|-----handy-ruler------------------------------------------------------|
-$NAME: $NAME (GNOME Text Editor)
+$NAME: $NAME ()
 $NAME:
-$NAME: gedit is the official text editor of the GNOME desktop environment.
-$NAME: While aiming at simplicity and ease of use, gedit is a powerful
-$NAME: general-purpose text editor.
+$NAME: 
+$NAME: 
+$NAME: 
+$NAME: 
 $NAME:
 $NAME:
 $NAME: License: GPL
 $NAME: Authors: 
-$NAME: Website: http://projects.gnome.org/gedit/
+$NAME: Website: 
 
 EOF
 fi
 DISTRO:    $(cat /etc/vector-version)
 CFLAGS:    $CFLAGS
 LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
 
 EOF
 
 cd $CWD
 echo "Cleaning up temp files..." && rm -rf $TMP
 echo "Package Complete"
+fi
 #--------------------------------------------------------------
 
 # vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/gedit/src/slack-desc

+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+     |-----handy-ruler------------------------------------------------------|
+gedit: gedit (GNOME Text Editor)
+gedit:
+gedit: gedit is the official text editor of the GNOME desktop environment.
+gedit: While aiming at simplicity and ease of use, gedit is a powerful
+gedit: general-purpose text editor.
+gedit:
+gedit:
+gedit:
+gedit: homepage: http://projects.gnome.org/gedit
+gedit:
+gedit:

File var/vabs/guvcview/src/guvcview.SlackBuild

 # Linux forum at http://forum.vectorlinux.com and from tidbits collected 
 # from all over the internet. 
 #
-# Generated by sbbuilder-0.4.13, written by Rodrigo Bistolfi 
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
 # (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
 #
 # Please put your name below if you add some original scripting lines.
 # AUTHORS = 
 
 NAME="guvcview"            #Enter package Name!
-VERSION=${VERSION:-"1.4.4"}      #Enter package Version!
+VERSION=${VERSION:-"1.6.1"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
 VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
-LINK=${LINK:-""}  #Enter URL for package here!
+LINK=${LINK:-"http://downloads.sourceforge.net/$NAME/$NAME-src-$VERSION.tar.gz"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-"gtk+3"} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
 
 #SETUP PACKAGING ENVIRONMENT
 #--------------------------------------------
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-vector-linux"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
 #EXTRACT SOURCES
 #-----------------------------------------------------
 echo "Extracting source..."
-tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+tar xvf $CWD/$NAME-src-$VERSION.tar.* || exit 1
 #this moves whatever was extracted to the std dirname we are expecting
 mv * $NAME-$VERSION &> /dev/null 2>&1
 mkdir -p $PKG
 #-----------------------------------------------------------------------
 
 echo "Configuring source..."
-./configure \
-  --prefix=/usr \
+./configure --prefix=/usr \
   --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --infodir=/usr/info \
   --sysconfdir=/etc \
   --localstatedir=/var \
+  --mandir=/usr/man \
+  --with-included-gettext \
+  --disable-debug \
+  --disable-debian-menu \
+  --program-prefix="" \
+  --program-suffix="" \
   --build=$CONFIGURE_TRIPLET \
   $CONFIG_OPTIONS || exit 1
 
 #######################################################################
 #Miscellenious tweaks and things outside a normal ./configure go here #
 #######################################################################
-
-
-# Menu entry - http://standards.freedesktop.org/desktop-entry-spec/latest/
-
 if test -f $CWD/$NAME.png; then
-  mkdir -p $PKG/usr/share/pixmaps
-  cp $CWD/$NAME.png $PKG/usr/share/pixmaps/$NAME.png
-fi
-
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$NAME.png $PKG/usr/share/pixmaps/$NAME.png; fi
+## Now test for desktop file
 mkdir -p $PKG/usr/share/applications
 if test -f $CWD/${NAME}.desktop; then
-  cp $CWD/*.desktop $PKG/usr/share/applications/
-else
-cat > $PKG/usr/share/applications/$NAME.desktop << EOF
-[Desktop Entry]
-# Please edit as needed
-Name=$NAME
-GenericName=
-Comment=
-Exec=$NAME
-Icon=$NAME.png
-
-# AudioVideo, Development, Education, Game, Graphics, Network
-# Office, Settings, System, Utility
-Categories=
-		
-Type=Application
-Terminal=false
-Encoding=UTF-8
-
-#TryExec=
-#Path=
-#StartupWMClass=
-#NoDisplay=
-#StartupNotify=
-#MimeType=
-#OnlyShowIn=
-#NotShowIn=
-
-#Localization example
-#Name[es]=
-#Comment[es]=
-EOF
+cp $CWD/$NAME.desktop $PKG/usr/share/applications/$NAME.desktop
 fi
 
 
+
 mkdir -p $PKG/usr/doc/$NAME-$VERSION
 cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
 $PKG/usr/doc/$NAME-$VERSION
 # Finish off gconf block
 echo "fi" >> $PKG/install/doinst.sh
 fi
+cat $CWD/doinst.sh >> $PKG/install/doinst.sh
 
 
 #if there is a slack-desc in src dir use it
 DISTRO:    $(cat /etc/vector-version)
 CFLAGS:    $CFLAGS
 LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
 
 EOF
 
 cd $CWD
 echo "Cleaning up temp files..." && rm -rf $TMP
 echo "Package Complete"
+fi
 #--------------------------------------------------------------
 
 # vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/liblinebreak/src/liblinebreak.SlackBuild

 #!/usr/bin/bash
 # This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
 # and slack-required will be found in "VERSION" dir. The extraction and
 # build will be in a temp dir created in "NAME" dir, and then removed on exit.
 # Comment out second to last line to keep this dir intact.
 # Linux forum at http://forum.vectorlinux.com and from tidbits collected 
 # from all over the internet. 
 #
-# Generated by sbbuilder-0.4.12.3, written by Rodrigo Bistolfi 
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
 # (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
 #
 # Please put your name below if you add some original scripting lines.
 # AUTHORS = 
 
 NAME="liblinebreak"            #Enter package Name!
-VERSION=${VERSION:-"2.0"}      #Enter package Version!
+VERSION=${VERSION:-"2.1"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
 VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
-LINK=${LINK:-""}  #Enter URL for package here!
+LINK=${LINK:-"http://downloads.sourceforge.net/vimgadgets/$NAME-$VERSION.tar.gz"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
 
 #SETUP PACKAGING ENVIRONMENT
 #--------------------------------------------
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-vector-linux"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
 for SRC in $(echo $LINK);do
 if [ ! -f $CWD/$(basename $SRC) ]
 then
-        wget -c $SRC
+        wget --no-check-certificate -c $SRC
 fi
 done
 #--------------------------------------------
 
 
 rm -rf $PKG
-mkdir -p $PKG
 cd $TMP
 rm -rf $NAME-$VERSION
 
 #-----------------------------------------------------
 echo "Extracting source..."
 tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+mv * $NAME-$VERSION &> /dev/null 2>&1
+mkdir -p $PKG
 #-----------------------------------------------------
 
 
 cd $TMP/$NAME-$VERSION
 
-# Put any Patches into a patches folder in the src dir
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
 #-----------------------------------------------------
 for i in $CWD/patches/*;do
-	patch -p1 <$i
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
 done
 #-----------------------------------------------------
-
+ 
+ 
 
 #SET PERMISSIONS
 #-----------------------------------------
 
 make || exit 1
 
-make install DESTDIR=$PKG || exit
+make install DESTDIR=$PKG || exit 1
 
 
 #######################################################################
 #Miscellenious tweaks and things outside a normal ./configure go here #
 #######################################################################
+if test -f $CWD/$NAME.png; then
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$NAME.png $PKG/usr/share/pixmaps/$NAME.png; fi
+## Now test for desktop file
+mkdir -p $PKG/usr/share/applications
+if test -f $CWD/${NAME}.desktop; then
+cp $CWD/$NAME.desktop $PKG/usr/share/applications/$NAME.desktop
+fi
 
 
 
 mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a ANNOUNCE* AUTHORS* BUGS* COPYING* ChangeLog* CHANGELOG* Credits* DEVELOPERS \
-LICENSE* MANIFEST PROVENANCE README* TODO* Exception_to_GPL_for_Qt.txt \
+cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
 $PKG/usr/doc/$NAME-$VERSION
 cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
 
 #----------------------------------------------------------------------
 
-if [ -d $PKG/usr/share/man ] ; then
+if [ -d $PKG/usr/share/man ];then
 mkdir -p $PKG/usr/man
 mv $PKG/usr/share/man/* $PKG/usr/man
 rm -rf $PKG/usr/share/man
 fi
 find $PKG/usr/man -type f -exec gzip -9 {} \;
 
-if [ -d $PKG/usr/share/info ] ; then
+if [ -d $PKG/usr/share/info ];then
 mkdir -p $PKG/usr/info
 mv $PKG/usr/share/info/* $PKG/usr/info
 rm -rf $PKG/usr/share/info
 fi 
-
 find $PKG/usr/info -type f -exec gzip -9 {} \;
+
 mkdir -p $PKG/install
-if [ -d $PKG/usr/info ] ; then
+if [ -d $PKG/usr/info ];then
 cat >> $PKG/install/doinst.sh << EOF
 CWD=\$(pwd)
 cd usr/info
     rm dir.gz
 fi
 for i in *.info.gz;do
-        install-info \$i dir
+    install-info \$i dir
 done
 cd \$CWD
 EOF
 fi
 
-mkdir -p $PKG/install
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
+cat $CWD/doinst.sh >> $PKG/install/doinst.sh
 
 
 #if there is a slack-desc in src dir use it
 # customary to leave one space after the ':'.
 
 $SHIM|-----handy-ruler------------------------------------------------------|
-$NAME: $NAME (implementation of the line breaking algorithm)
-$NAME: Liblinebreak is an implementation of the line breaking 
-$NAME: algorithm as described in Unicode 5.1.0 Standard 
-$NAME: Annex 14, Revision 22. It breaks lines that contain 
-$NAME: Unicode characters. It is designed to be used in a 
-$NAME: generic text renderer.
+$NAME: $NAME ()
 $NAME:
-$NAME: License: Copyright (C) 2008 Wu Yongwei; See LICENCE for details 
-$NAME: Authors: Wu Yongwei, Nikolay Pultsin, Thomas Klausner
-$NAME: Website: http://sourceforge.net/
-
+$NAME: 
+$NAME: 
+$NAME: 
+$NAME: 
+$NAME:
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: 
+$NAME: Website: 
 
 EOF
 fi
 DISTRO:    $(cat /etc/vector-version)
 CFLAGS:    $CFLAGS
 LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
 
 EOF
 
 cd $CWD
 echo "Cleaning up temp files..." && rm -rf $TMP
 echo "Package Complete"
+fi
 #--------------------------------------------------------------
 
-# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/libsndfile/src/libsndfile.SlackBuild

 # Linux forum at http://forum.vectorlinux.com and from tidbits collected 
 # from all over the internet. 
 #
-# Generated by sbbuilder-0.4.14.1, written by Rodrigo Bistolfi 
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
 # (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
 #
 # Please put your name below if you add some original scripting lines.
 # AUTHORS = 
 
 NAME="libsndfile"            #Enter package Name!
-VERSION=${VERSION:-"1.0.25"}      #Enter package Version!
+VERSION=${VERSION:-"1.0.24"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"test"}   #Enter your Name!
-LINK=${LINK:-"http://www.mega-nerd.com/$NAME/files/$NAME-$VERSION.tar.gz"}  #Enter URL for package here!
+VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
+LINK=${LINK:-"http://slackware.cs.utah.edu/pub/slackware/slackware-current/source/l/$NAME/$NAME-$VERSION.tar.xz"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-MAKEDEPENDS=${MAKEDEPENDS:-"sqlite alsa-lib"} #Add deps needed TO BUILD this package here.
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
 # DO NOT EXECUTE if NORUN is set to 1
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-vector-linux"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
 echo "Configuring source..."
 ./configure --prefix=/usr \
   --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --includedir=/usr/include/sndfile \
-  --sysconfdir=/etc \
-  --localstatedir=/var/lib \
   --infodir=/usr/info \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
   --mandir=/usr/man \
   --with-included-gettext \
   --disable-debug \
-  --docdir=/usr/doc/${NAME}-${VERSION} \
-  --htmldir=/usr/doc/${NAME}-${VERSION}/html \
-  --disable-silent-rules \
-  --disable-static \
-  --disable-dependency-tracking \
-  --enable-sqlite \
-  --enable-alsa \
-  --enable-largefile \
   --program-prefix="" \
   --program-suffix="" \
+  --docdir=/usr/doc/$NAME-$VERSION \
+  --htmldir=/usr/doc/$NAME-$VERSION/html \
+  --disable-static \
   --build=$CONFIGURE_TRIPLET \
   $CONFIG_OPTIONS || exit 1
 
-make || exit 1
-
-make install DESTDIR=$PKG || exit 1
+make htmldocdir=/usr/doc/$PKGNAM-$VERSION/html || exit 1
+make htmldocdir=/usr/doc/$PKGNAM-$VERSION/html DESTDIR=$PKG install
 
 
 #######################################################################
 # customary to leave one space after the ':'.
 
 $SHIM|-----handy-ruler------------------------------------------------------|
-$NAME: $NAME (Library for reading and writing sound files)
+$NAME: $NAME ()
+$NAME:
+$NAME: 
+$NAME: 
+$NAME: 
+$NAME: 
 $NAME:
-$NAME: libsndfile is a C library for reading and writing sound files such as
-$NAME: AIFF, AU, WAV, and others through one standard interface. It can
-$NAME: currently read/write 8, 16, 24 and 32-bit PCM files as well as 32 and
-$NAME: 64-bit floating point WAV files and a number of compressed formats.
-$NAME: It compiles and runs on *nix, MacOS, and Win32.
 $NAME:
 $NAME: License: GPL
 $NAME: Authors: 
-$NAME: Website: http://www.mega-nerd.com/libsndfile/
+$NAME: Website: 
 
 EOF
 fi

File var/vabs/mjpegtools/src/mjpegtools.SlackBuild

 #!/usr/bin/bash
 # This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
 # and slack-required will be found in "VERSION" dir. The extraction and
 # build will be in a temp dir created in "NAME" dir, and then removed on exit.
 # Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
 
-
-NAME="mjpegtools"				#Enter package Name!
-VERSION=${VERSION:-"1.9.0"}			#Enter package Version!
-VL_PACKAGER=${VL_PACKAGER:-"Stretchedthin"}	#Enter your Name!
+NAME="mjpegtools"            #Enter package Name!
+VERSION=${VERSION:-"2.0.0"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
+LINK=${LINK:-"http://downloads.sourceforge.net/mjpeg/$NAME-$VERSION.tar.gz"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 #----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"2"}
+BUILDNUM=${BUILDNUM:-"1"}
 VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
 BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
-ARCH=${ARCH:-$(uname -m)}
+ARCH=${ARCH:-"$(uname -m)"}
 CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
 
 #SETUP PACKAGING ENVIRONMENT
 #--------------------------------------------
 cd ../
 RELEASEDIR=$(pwd)
 cd $CWD
-mkdir $RELEASEDIR/tmp
+mkdir -p $RELEASEDIR/tmp
 TMP=$RELEASEDIR/tmp
 PKG=$TMP/package-$NAME
 #--------------------------------------------
 
 
+
 if [ $UID != 0 ]; then
    echo "You are not authorized to run this script. Please login as root"
    exit 1
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-vector-linux"
+  LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
   CONFIGURE_TRIPLET="x86_64-vlocity-linux"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "powerpc" ]; then
+  SLKCFLAGS="-O2"
+  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+  LIBDIRSUFFIX=""
 fi
 
 export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
 #--------------------------------------------
 
 
+#GET THE SOURCE
+#--------------------------------------------
+for SRC in $(echo $LINK);do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+        wget --no-check-certificate -c $SRC
+fi
+done
+#--------------------------------------------
+
+
 rm -rf $PKG
-mkdir -p $PKG
 cd $TMP
 rm -rf $NAME-$VERSION
 
 #-----------------------------------------------------
 echo "Extracting source..."
 tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+mv * $NAME-$VERSION &> /dev/null 2>&1
+mkdir -p $PKG
 #-----------------------------------------------------
 
 
 cd $TMP/$NAME-$VERSION
 
 
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
+#-----------------------------------------------------
+for i in $CWD/patches/*;do
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
+done
+#-----------------------------------------------------
+ 
+ 
+
 #SET PERMISSIONS
 #-----------------------------------------
 echo "Setting permissions..."
 #-----------------------------------------
 
 
+
 #CONFIGURE & MAKE
 #----------------------------------------------------------------------
 # If you are building a KDE-related app, then change the following
 # correct path and that it will work seamlessly within the KDE environment.
 #
 #-----------------------------------------------------------------------
-patch -p1 < $CWD/mjpegtools-1.9.0-glibc-2.10.patch
-patch -p0 < $CWD/mjpegtools-1.9.0-jpeg-7.patch
+# Fix for x86_64
+sed -i -e '/ARCHFLAGS=/s:=.*:=:' configure
+
+# Fix for gcc-4.7.x
+sed -i 's/\tDeleteRegion/\tthis->DeleteRegion/' y4mdenoise/MotionSearcher.hh
+
 
 echo "Configuring source..."
 ./configure --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --infodir=/usr/info \
   --sysconfdir=/etc \
   --localstatedir=/var \
   --mandir=/usr/man \
   --disable-debug \
   --program-prefix="" \
   --program-suffix="" \
+   --with-x \
   --disable-static \
-  --infodir=/usr/info \
-  --with-x \
-  --with-libquicktime=yes \
-  --with-libdv=yes \
-  --with-libpng=yes \
-  --with-libjpeg=yes \
-  --with-sdl=yes \
-  --enable-large-file \
   --build=$CONFIGURE_TRIPLET \
   $CONFIG_OPTIONS || exit 1
 
 make || exit 1
 
-make install DESTDIR=$PKG || exit
+make install DESTDIR=$PKG || exit 1
+
 
 #######################################################################
 #Miscellenious tweaks and things outside a normal ./configure go here #
 #######################################################################
+if test -f $CWD/$NAME.png; then
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$NAME.png $PKG/usr/share/pixmaps/$NAME.png; fi
+## Now test for desktop file
+mkdir -p $PKG/usr/share/applications
+if test -f $CWD/${NAME}.desktop; then
+cp $CWD/$NAME.desktop $PKG/usr/share/applications/$NAME.desktop
+fi
+
 
-#mkdir -p $PKG/usr/share/applications
-#cp $CWD/$NAME.desktop $PKG/usr/share/applications/$NAME.desktop
-#mkdir -p $PKG/usr/share/pixmaps
-#cp $CWD/$NAME.png $PKG/usr/share/pixmaps/$NAME.png
 
 mkdir -p $PKG/usr/doc/$NAME-$VERSION
 cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
-	$PKG/usr/doc/$NAME-$VERSION
+$PKG/usr/doc/$NAME-$VERSION
 cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
 
 #----------------------------------------------------------------------
 
-if [ -d $PKG/usr/share/man ] ; then
-  mkdir -p $PKG/usr/man
-  mv $PKG/usr/share/man $PKG/usr/man
-fi  
+if [ -d $PKG/usr/share/man ];then
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man/* $PKG/usr/man
+rm -rf $PKG/usr/share/man
+fi
 find $PKG/usr/man -type f -exec gzip -9 {} \;
 
+if [ -d $PKG/usr/share/info ];then
+mkdir -p $PKG/usr/info
+mv $PKG/usr/share/info/* $PKG/usr/info
+rm -rf $PKG/usr/share/info
+fi 
+find $PKG/usr/info -type f -exec gzip -9 {} \;
+
 mkdir -p $PKG/install
+if [ -d $PKG/usr/info ];then
+cat >> $PKG/install/doinst.sh << EOF
+CWD=\$(pwd)
+cd usr/info
+if [ -f dir ];then
+    rm dir
+fi
+if [ -f dir.gz ];then
+    rm dir.gz
+fi
+for i in *.info.gz;do
+    install-info \$i dir
+done
+cd \$CWD
+EOF
+fi
+
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
+cat $CWD/doinst.sh >> $PKG/install/doinst.sh
 
-           # This creates the white space in front of "handy-ruler" in slack-desc below.
 
-      LENGTH=$(expr length "$NAME")
-      SPACES=0
-      SHIM=""
-      until [ "$SPACES" = "$LENGTH" ]; do
-        SHIM="$SHIM "
-        let SPACES=$SPACES+1
-      done
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
 
 # Fill in the package summary between the () below.
 # Then package the description, License, Author and Website.
 # on the right side marks the last column you can put a character in.  You must
 # make exactly 11 lines for the formatting to be correct.  It's also
 # customary to leave one space after the ':'.
-   
+
 $SHIM|-----handy-ruler------------------------------------------------------|
-$NAME: $NAME (MPEG1/2 encoding, recording, editing, and playback tools)
+$NAME: $NAME ()
+$NAME:
+$NAME: 
 $NAME: 
-$NAME: The MJPEG-tools are a basic set of utilities for recording, editing, 
-$NAME: playing back and encoding (to mpeg) video under linux. Recording can
-$NAME: be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
-$NAME: DC10(+), Marvel G200/G400), these can also playback video using the
-$NAME: hardware. With the rest of the tools, this video can be edited and
-$NAME: encoded into mpeg1/2 or divx video.
 $NAME: 
-$NAME: License: GPL 2.0
-$NAME: Website: http://mjpeg.sourceforge.net/
-$NAME: Authors: Rainer Johanni <Rainer@Johanni.de> And many more, see docs
 $NAME: 
+$NAME:
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: 
+$NAME: Website: 
+
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
 
 #----------------------------------------
 BUILDDATE: $(date)
 DISTRO:    $(cat /etc/vector-version)
 CFLAGS:    $CFLAGS
 LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
 
 EOF
 
 cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
 
-
 #STRIPPING
 #------------------------------------------------------------------------------------------------------------------
 cd $PKG
 #FINISH PACKAGE
 #--------------------------------------------------------------
 echo "Finding dependencies..."
-requiredbuilder -v -y -s $RELEASEDIR $PKG
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
 echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
 makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
 
 cd $CWD
 echo "Cleaning up temp files..." && rm -rf $TMP
 echo "Package Complete"
+fi
 #--------------------------------------------------------------
 
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/pywebkitgtk/src/pywebkitgtk.SlackBuild

 #!/usr/bin/bash
 # This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
 # and slack-required will be found in "VERSION" dir. The extraction and
 # build will be in a temp dir created in "NAME" dir, and then removed on exit.
 # Comment out second to last line to keep this dir intact.
 # Linux forum at http://forum.vectorlinux.com and from tidbits collected 
 # from all over the internet. 
 #
-# Generated by sbbuilder-0.4.12.2, written by Rodrigo Bistolfi 
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
 # (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
 #
 # Please put your name below if you add some original scripting lines.
 # AUTHORS = 
 
 NAME="pywebkitgtk"            #Enter package Name!
-VERSION=${VERSION:-"1.1.7"}      #Enter package Version!
+VERSION=${VERSION:-"1.1.8"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
 VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
-LINK=${LINK:-""}  #Enter URL for package here!
+LINK=${LINK:-"http://$NAME.googlecode.com/files/$NAME-$VERSION.tar.bz2"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
 
 #SETUP PACKAGING ENVIRONMENT
 #--------------------------------------------
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-vector-linux"
+  LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
   CONFIGURE_TRIPLET="x86_64-vlocity-linux"
+  LIBDIRSUFFIX="64"
 elif [ "$ARCH" = "powerpc" ]; then
   SLKCFLAGS="-O2"
   CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+  LIBDIRSUFFIX=""
 fi
 
 export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
 for SRC in $(echo $LINK);do
 if [ ! -f $CWD/$(basename $SRC) ]
 then
-        wget -c $SRC
+        wget --no-check-certificate -c $SRC
 fi
 done
 #--------------------------------------------
 
 
 rm -rf $PKG
-mkdir -p $PKG
 cd $TMP
 rm -rf $NAME-$VERSION
 
 #-----------------------------------------------------
 echo "Extracting source..."
 tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+mv * $NAME-$VERSION &> /dev/null 2>&1
+mkdir -p $PKG
 #-----------------------------------------------------
 
 
 cd $TMP/$NAME-$VERSION